Index: mesa-9.2.2/configure.ac
===================================================================
--- mesa-9.2.2.orig/configure.ac	2013-10-24 15:21:47.493761392 +0100
+++ mesa-9.2.2/configure.ac	2013-10-24 15:21:47.476761392 +0100
@@ -2123,6 +2123,7 @@
 		src/mesa/gl.pc
 		src/mesa/drivers/dri/dri.pc
 		src/mesa/drivers/dri/common/Makefile
+		src/mesa/drivers/dri/common/dricommon.pc
 		src/mesa/drivers/dri/common/xmlpool/Makefile
 		src/mesa/drivers/dri/i915/Makefile
 		src/mesa/drivers/dri/i965/Makefile
@@ -2135,6 +2136,7 @@
 		src/mesa/drivers/osmesa/osmesa.pc
 		src/mesa/drivers/x11/Makefile
 		src/mesa/libdricore/Makefile
+		src/mesa/libdricore/dricore.pc
 		src/mesa/main/tests/Makefile
 		src/mesa/main/tests/hash_table/Makefile
 		src/mesa/program/Makefile
Index: mesa-9.2.2/src/mesa/drivers/dri/common/Makefile.am
===================================================================
--- mesa-9.2.2.orig/src/mesa/drivers/dri/common/Makefile.am	2013-10-24 15:21:47.493761392 +0100
+++ mesa-9.2.2/src/mesa/drivers/dri/common/Makefile.am	2013-10-24 15:21:47.476761392 +0100
@@ -29,6 +29,9 @@
 	$(DEFINES) \
 	$(LIBDRM_CFLAGS)
 
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = dricommon.pc
+
 noinst_LTLIBRARIES = \
 	libdricommon.la \
 	libdri_test_stubs.la
Index: mesa-9.2.2/src/mesa/drivers/dri/common/dricommon.pc.in
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ mesa-9.2.2/src/mesa/drivers/dri/common/dricommon.pc.in	2013-10-24 15:21:47.477761392 +0100
@@ -0,0 +1,10 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: dricommon
+Description: Direct Rendering Infrastructure helper library
+Version: @VERSION@
+Cflags: -I${includedir}/mesa/drivers/dri/common/
+Libs: -ldricommon@VERSION@
Index: mesa-9.2.2/src/mesa/libdricore/Makefile.am
===================================================================
--- mesa-9.2.2.orig/src/mesa/libdricore/Makefile.am	2013-10-24 15:21:47.493761392 +0100
+++ mesa-9.2.2/src/mesa/libdricore/Makefile.am	2013-10-24 15:21:47.491761392 +0100
@@ -31,6 +31,9 @@
 	$(DEFINES) \
 	-DUSE_DRICORE
 
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = dricore.pc
+
 libdricore@VERSION@_la_SOURCES = \
 	$(MESA_FILES) \
 	$(LIBGLCPP_GENERATED_FILES) \
Index: mesa-9.2.2/src/mesa/libdricore/dricore.pc.in
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ mesa-9.2.2/src/mesa/libdricore/dricore.pc.in	2013-10-24 15:21:47.491761392 +0100
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+dridriverdir=@DRI_DRIVER_INSTALL_DIR@
+
+Name: dricore
+Description: Direct Rendering Infrastructure Core library
+Version: @VERSION@
+Cflags: -I${includedir}/mapi/ -I${includedir}/mesa/
+Libs: -L${libdir} -ldricore@VERSION@
+
